-- name: CreateEmpresa :one
INSERT INTO empresas (nome, regiao) VALUES ($1, @regiao) RETURNING *;

-- name: ListEmpresas :many
SELECT * FROM empresas WHERE regiao = @regiao ORDER BY nome;

-- name: GetEmpresaByID :one
SELECT * FROM empresas WHERE id = $1 AND regiao = @regiao;

-- name: UpdateEmpresa :one
UPDATE empresas SET nome = $2 WHERE id = $1 AND regiao = @regiao RETURNING *;

-- name: DeleteEmpresa :exec
DELETE FROM empresas WHERE id = $1 AND regiao = @regiao;

-- name: GetEmpresaByNome :one
SELECT * FROM empresas WHERE nome = $1 AND regiao = @regiao;
